Get persona authoring choices
curl --request GET \
--url https://app.egma.ai/v1/persona-form \
--header 'Authorization: Bearer <token>'{
"modelCatalog": [
{
"provider": "<string>",
"job": "llm",
"model": "<string>",
"label": "<string>",
"modelLabel": "<string>",
"recommendedVoiceId": "<string>"
}
],
"recommendedModels": {
"llm": {
"provider": "<string>",
"model": "<string>"
},
"stt": {
"provider": "<string>",
"model": "<string>"
},
"tts": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"speed": 123
}
},
"speedRange": {
"slowest": 123,
"fastest": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Personas
Get persona authoring choices
Use this response to choose supported models, a recommended voice, and a valid speech rate before creating or updating a persona.
GET
/
v1
/
persona-form
Get persona authoring choices
curl --request GET \
--url https://app.egma.ai/v1/persona-form \
--header 'Authorization: Bearer <token>'{
"modelCatalog": [
{
"provider": "<string>",
"job": "llm",
"model": "<string>",
"label": "<string>",
"modelLabel": "<string>",
"recommendedVoiceId": "<string>"
}
],
"recommendedModels": {
"llm": {
"provider": "<string>",
"model": "<string>"
},
"stt": {
"provider": "<string>",
"model": "<string>"
},
"tts": {
"provider": "<string>",
"model": "<string>",
"voiceId": "<string>",
"speed": 123
}
},
"speedRange": {
"slowest": 123,
"fastest": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1Response
The supported persona model choices.